#ifndef BOT_READY_H
#define BOT_READY_H

#include <dpp/dpp.h>

class ready {
public:
    /**
     * @brief Gets the status thread
     * @param bot The bot
     * @return The status thread
     */
    static std::thread get_status_thread(dpp::cluster &bot);
    /**
     * @brief Executes when the bot is ready
     * @param event The ready event
     */
    static void execute(dpp::cluster &bot, const dpp::ready_t &event);
};

#endif //BOT_READY_H